Subject: Re: what if i use makeheader tool to generate c header file, it would be accepted.

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 21 Sep 2022 15:11:22 +0700

On 2022-09-21 13:23:11+0530, Skrab Sah <[email-masked]> wrote:
> 1. We would not commit the generated file.
> 2. There are different ways we can install the makeheaders tool.
> 3. Makefile will first generate the header file then other compilation.

Without seeing the patches, here is my guess, you will make us only
write source code in '*.c' and extract declaration from foo.c to foo.h
And that will save us some time to write (and update) declaration in foo.h

However, whenever foo.c is updated, foo.h will need to be
re-generated, thus all other users of foo.h will need to re-compiled.
Thus, increase compilation time. We can work-around by write the
output to foo.h+ and compare to foo.h, discard it if its content
hasn't been changed. It still takes time to analyse foo.c and write to
foo.h+

In addition, I'm not sure where would you put the struct, enum,
preprocessor declaration, and compat stuff.

If my understanding is correct, it's not worth the effort, IMHO.

-- 
Danh